# investCalculator

Android app to estimate earning from a CDI investment

![alt text](https://lh3.googleusercontent.com/-xJpo9CvLena0jK896jshpkJEowpWQ5YEIVuhLlOVzjxvpc5oLCJTjlUWqIq3H0gMgvjLzB9u7wq_iFEgxJCmmOMsD8yX-g5m8A-38J9EoHopGCWIHoFvxZlCZNehDPWUCFBUJJat6PhG2cwZvZejCFAp3ad0rKxRllHvAPfPaK9VV4OFwPUfqBdzyKYNoxN-hiuWFlLJXwARkyQkG11KHjuNIl2feKQsa2psymqX7ilLDxIIOt-WDrcWwoITI32m-3HLqqKB1ZkJXJ-H-WtXJa4OhJe_yfxWT2MFFvMDuDdn5rf0vDRONiqlaFnrfrX0kgRnHKKSYu8iqYyVceK-qhhpFc3tccjakXCidwwA9thSvS82iRZHJDvNpPh0nUsoMzchdqGMw1a4S9OUbaUVad845qCX_7NvIvAfkNOa0_I2lhFNE8wLC8-ImsIPgFH4sZXzdGn7og-hEnl9Mx3eIR4OrdgOc-KFtRRUIewwQPgMLuHGDSkULhHOykyi2ZiYxGeu6hBxrhT47wRZ_opaLF2wTpL90yaV6bcwqjvrZ_5IOPaid8Jol-zrahrQONBykvbUbtfDNnk5sige15hsCcxFtMxVuk3r_Zq51k=w467-h830-no)
![alt text](https://lh3.googleusercontent.com/vLtMVApmQXuOFiC6h4m2nxWUZA35R4K_p7XSYKo6IIGU7rRxVwCE_ylnv4oU43FFruZmkmf2Vbbqw183UMdSMlAMmCKul_WkLxwJJW1mees4mMF3NoefrI_Ton3KjHja7v6N2Jiq2jybDKU8NjtyW8qluaUB6wvwir2fr56-D3hJ2VyfBWkL2IgmaqElJTiLpmIngLS6jeLLGNQlzvijvGHmuZ6vHvBrvNuH3Vzuq2oR2QF9Th8hfIwNFI0ngNEu3yTuMBUCz_seO6WEoK9Sh2g8nUQjwfuYdDexFvp22KymHqUrZkZvgy0B4vQXIFBNwNXwZRsvJ030Eupzb4sjOMCVNpcT7iMpIipUsEd0qhtkTkRRD964fvQIUrPERV092M0wJbDVFoKFLT4a4S6O-xHqCEHZyKDTOyOvtQYV_1ybKawoiK8_kwvT7wEzqcPxdrxrOjBaOaV4_2bmPe9-qDahsjmj4AeKzAfnoI7ljG8Tcn1wCs5yW9NDap1OtfCDwpEgWA1OKMOuyYv3o-xnE9PM36MwtBSfRUThpTeNjE5zjkvGd-Vp6-_zbicvfv3aQLkgLemyUve4FQoYzYQnx6_xL1JQWbSf6N-qkEU=w467-h830-no)

## Tests

The unit tests are localized in UnitTests class under com.mpm.investcalculator directory.<br/>
This class tests every method from utils folder<br/><br/>
The espresso test (com.mpm.investcalculator > EspressoTest) covers the main flow of application

